If you've just opened Obsidian, you'll see two documents here. The one in the left pane is a text file, which you can edit using Markdown syntax. The one in the right pane is a _Preview_ of the same text file if you were to export it as HTML, or as a PDF document. Note that some things look different in Preview, and, most obviously, links are not in brackets. To follow a link, click on it in the Preview pane. You can follow links in the Editor pane as well, by holding down `Ctrl/Cmd` and clicking on the link. If you want to go back to the page you were on before, use the shortcut `Ctrl/Cmd-alt-LeftArrow`

Alternatively, the notes that link to the one you're currently on will be shown in the **Backlinks Panel** on the right (find more about Backlinks [[Backlinks|here.]])

If you get lost at any time, or just want to explore what else Obsidian can do, `Ctrl/Cmd-P` brings up the Command Palette. You can type commands there, like "Navigate back", and you'll see options filter to a short list, along with hotkey shortcuts if they have them. 

At base, Obsidian is a tool for working with a bunch of markdown files that are stored on your computer. If you're not familiar with markdown, it's just plain text with some formatting that makes it powerful (for more on that, see [[Format your notes|Markdown]]) . As a result, if you want to use obsidian for keeping regular notes on just about anything, it will work great. 

Let's say you want to write a note about your favorite band. Just type the name of the note surrounded by two square brackets, like `[[My Favorite Band]]`

Try it here (make sure you're typing in the Editor pane): 

You'll notice that the text and the brackets turn blue. That means it's a link now. Click on that link in the Preview (or `Cmd-click` in the Editor), and you'll see a blank note. Write whatever you want there, and when you're done, come back here with `Cmd-alt-left`, or by clicking the name of this note ([[Basic note taking]]) in the **Backlinks** to the right. To learn more about navigating links, see [[Internal link]].

---

Notice that your new note showed up automatically in the File Explorer to the left. Obsidian automatically creates files when you click a link to a file that does not exist. This means you can `[[write naturally]]` about `[[whatever comes to mind]]` and then go back and create the new notes at your leisure. This makes Obsidian a fantastic tool for thinking freely in notes without having to worry about where to file them. And if you decide that a title is not what you actually meant, you can change the file name at the top of this window, and Obsidian will automatically update all links to it.

From there, you can make any kind of structure you want. Many people will want to make a `Table of Contents` note for listing major groups of notes. You can also use #tags to create categories (if you click that it will show you every note that contains #tags ). Really, the structure you build should be whatever works for you. We suggest you just start with what feels natural. Obsidian is flexible enough that it should be relatively simple to rearrange things later.

Be aware! The note you just created is in these Help documents, which will be overwritten on new releases. ==If you created anything you care to keep, it should be put into a different vault==. For details on how to do that, see [[Working with multiple vaults]].

If you want an example of a more advanced technique, you might look into the [sample workflows on our forum](https://forum.obsidian.md/t/example-workflows-in-obsidian/1093).
