## Add an attachment

There are several ways to include attachments in your notes:

1. Copy and paste;
2. Drag and drop;
3. Download or copy file to vault folder.

After being added, these attachment files are just normal files and can still be accessed through your file system. 

Please note that only [[Accepted file formats]] are handled.

### Copy and paste

Pasting a local file from your system explorer or your clipboard will put the file into your vault.

This is very handy when combined with screenshot tools.

### Drag and drop

If you drag and drop a file from your file explorer, it will be copied to your vault as well.

### Download or copy to vault folder

This can work well when paired with [[Capture information#Use a clipper extension|clipper extensions]].

You can also download images from your browser into your vault folder directly for later reference.

## Change default attachment location

By default, new attachments will be dropped in the root of your vault. You can fine tune this setting in Settings => Files & Links => "Default location for new attachments".

### Choose a folder

You can choose a fixed folder to always place your attachments in. To do this, choose "In the folder specified below", and choose a folder in your vault in the new field that appears.

Alternatively, you can right click on a folder in [[File explorer]] and choose "Set as attachment folder".

### Same folder as current file

Sometimes, you may want the attachment files to always be in the same folder as the note you're working on. In this case, choose "Same folder as current file".

### Under the current folder

You can also choose to save attachments to a folder underneath the folder that the current file is in.

To do this, choose the "Subfolder under current folder" option, and write the name of the subfolder in the field that appears. For example, if you write `assets`, and your note is in `VAULT/folder/path/`, the attachments will be added to `VAULT/folder/path/assets` when you're working on this note.

You don't need to create the subfolder beforehand; if it doesn't exist, Obsidian will create it for you.