---
alias: "Student and non-profit discount"
---

Obsidian currently offers two types of discounts: education and non-profit. They both give you 40% off our add-on services, including [[Introduction to Obsidian Sync|Obsidian Sync]] and [[Introduction to Obsidian Publish|Obsidian Publish]].

### How to apply

1. Go to [your account page](https://obsidian.md/account).
2. Under **Payment & billing**, find the **Discount** section, and click on the **"Apply"** link.
3. Select a discount type depending on your situation, fill out your **educational or organization email** (not your account email).
4. Click **"Send application"**.
5. In your school or organization email inbox, you should get an email from us to verify your email address. Click on the link to verify.
6. You might get instantly approved for the discount. If not, our team will try to review your application within 3 business days.
7. You’ll get an email when your discount gets approved.

Congratulations! Now you’ll see the discount when you try to purchase Obsidian Sync or Publish.

### How to renew

Once you have an active discount, you can see how it will expire under **Payment & billing** → **Discount** on [your account page](https://obsidian.md/account).

A week before your discount expires, you will get an email reminder to renew it. You can follow the same steps in "[[#How to apply]]" to renew the discount, if you still qualify for it.

### FAQ

> [!FAQ]- Q1. How long does the application process take?
> If your application is not approved instantly after verifying your email, our team will review it. It will take up to 3 business days.
> 
> You don’t need to constantly check the account page for updates. We’ll send an email when you’re approved. Thanks for the patience and understanding!

> [!FAQ]- Q2. Do these discounts work with early bird pricing?
> Thanks for being an early bird! None of these discounts stack with the early bird pricing, as early bird is likely the highest discount we’ll ever give out.
> 
> If you’re already an early bird, there’s generally no point in applying for discounts. But keep in mind that early bird pricing is separate for Sync and Publish, so if you missed early bird pricing for one of them, you may still want to apply for a discount.

> [!FAQ]- Q3. Who’s eligible?
> If you are a student or faculty member of an education organization like a university or a high school, you generally qualify for education discount.
> 
> If you run or work at a non-profit organization, you generally qualify for non-profit discount.

> [!FAQ]- Q4. What if my educational or non-profit organization does not provide an email address?
> In that case, you can send other forms of verification such as student ID card, transcript, or employee ID card to support@obsidian.md. Be sure to include your Obsidian account email address too.
> 
> Our team will review your application and get back to you. Thanks for your patience and understanding!

> [!FAQ]- Q5. I qualify for a discount, but I already paid. Can I get a refund?
> We understand that some people have purchased Sync or Publish without discounts either because discounts were not offered back then, or that you did not know about the discount.
> 
> Unfortunately, we do not offer refunds in cases like this. Sorry! Thanks for your understanding.
> 
> The good news is that future renewals will automatically have the discount applied, as long as you have a valid discount. 
