## What is Obsidian

Obsidian is a both a Markdown editor and a knowledge base app.

Used in the most basic way, you can edit and preview Markdown files. But its true power lies in managing densely networked knowledge base.

How do we start creating a network, you ask? Let's first start making some [[Internal link|internal links]]!

## How we're different

==*We want you to own and control your data*==

We believe in plain text for something as important as your knowledge base. You don't want to put your own brain over someone else's neck, do you? Treat your second brain the same way.

Sync is only a utility to facilitate working on multiple devices, the data will always primarily live on your hard disk.

When the file system replaces the cloud, you get flexible options to work with your files: you can back them up with Dropbox, use Git to do versioning, or encrypt your disk for security. Whatever works on your file system will work on your Obsidian knowledge base.

==*Links are first-class citizens*==

Links and connections are crucial to discovering the relations between what we know.

Obsidian greatly values this, and encourages it with [[Internal link]] and [[Graph view]], among other things.

As John Locke puts it...

> The acts of the mind, wherein it exerts its power over simple ideas, are chiefly these three:
> 1. Combining several simple ideas into one compound one, and thus all complex ideas are made.
> 2. The second is bringing two ideas, whether simple or complex, together, and setting them by one another so as to take a view of them at once, without uniting them into one, by which it gets all its ideas of relations.
> 3. The third is separating them from all other ideas that accompany them in their real existence: this is called abstraction, and thus all its general ideas are made.

 \- John Locke, An Essay Concerning Human Understanding (1690)
 
Hierarchy gives us No. 1, and linking gives us No. 2. We're still unsure what No. 3 entails in the context of note-taking, but it might have something to do with programming or macros.

==*Your own toolkit*==

Note-taking is a highly personal activity. Naturally there is no single all-encompassing solution for everyone.

Instead of providing you with an opinionated and assembled product, [[Obsidian]] gives you a foundation and numerous functional building blocks  to discover and build your own solution.

The foundation is to be able to view files, edit them, and search them. For the minimalist, that's enough.

On top of that, you can add isolated, independent building blocks to add features to your note-taking:

- If you're taking class notes, [[Audio recorder]] and LaTeX math might be useful;

- If you're taking work notes, [[Slides]] and [[Backlinks]] may come in handy;

- If you're a researcher, [[Graph view]] and [[Word count]] might be essential to your toolkit.

We don't expect plugins to be the silver bullet to solve all the problems, but it does get us closer than a monolith solution, without all the features that you don't need cluttering the interface.

We support [[Customizing CSS|custom CSS]] and have a [[Community plugins|beta plugin API]], which will enable even more interface customization and support less common use cases.

## Follow our development

Obsidian is in public beta right now. We have [a roadmap](https://trello.com/b/Psqfqp7I/obsidian-roadmap) that you can check out.

Our Twitter handle is [@obsdmd](https://twitter.com/obsdmd), feel free to follow. We mostly tweet about product updates.
