One of the things that makes [[Obsidian]] different from other note-taking apps is how easy it is to open multiple files in your preferred configuration.

The window a file gets opened in is what we call a "pane". You can have as many panes as you like.

### Open new panes

#### Open links

In general, you can click a link to a file while holding Ctrl (on Windows and Linux) or Cmd (on macOS) to open it in a new pane. This includes clicking on files in [[File explorer]], [[Search]] results, [[Backlinks]], [[Graph view]], etc.

The only notable exception is in the editor. Because in the editor, a single click edits the link text rather than following it, `Ctrl/Cmd-Click` is used to follow the link. Therefore, you'll need to hold Shift in addition to Ctrl/Cmd in order to open the link in a new pane.

#### Split current pane

You can also use the "More options" menu option of a pane to select "Split vertically" or "Split horizontally" to open two copies of that file.

#### Open linked views

Some options in the "More options" menu will also open a new pane that's linked to the current pane, such as "Open backlinks" and "Open local graph".

### Rearrange panes

To move a pane, simply drag the pane icon in the top left corner of the pane. As you drag it around, a visual indicator will appear to show where the pane will be placed. Dropping onto each of the four sides of an existing pane creates a horizontal or vertical split, and dropping in the center swaps positions with the target pane. 

You can also drag panes into the two sidebars. Panes in the sidebar work a bit differently, for more please see the [[#Panes in the sidebar]] section below.

### Panes in the sidebar

There are some differences with panes that live in the [[Sidebar|sidebars]].

#### Sidebar panes can share space with tabs

When your drop a pane onto a sidebar pane, a new tab will be created under that sidebar section. Different panes in the same sidebar section can be accessed by clicking on its tab icon.

#### Sidebar panes do not show titles

This reduces clutter, but also means it's best to keep one or two important files like a scratch pad or the daily note for quick access, rather than having a dozen files open.

To see the title of a file that's in the sidebar, hover over its tab icon.

#### Sidebar can be easily collapsed

If there are panes that you only need to look at from time to time, having them in the sidebar makes it really easy to toggle them with a hotkey or command.

#### Toggle editor and preview in sidebar

The hotkey to toggle between editor and preview only works in the main workspace. In the sidebar, you'll need to right click on the tab icon and select "Preview" or "Edit" to toggle between two modes.

### Save and load pane layouts

The [[Workspaces]] plugin makes it easy to come back to a particular pane layout. Give it a try!

